#ifndef DEPTH_RESAMPLE_H
#define DEPTH_RESAMPLE_H

/*!
***************************************************************************
* \file
*    cabac.h
*
* \brief
*    Headerfile for depth map resampling
*
* \author
* suwenyi      <suwy@mail.ustc.edu.cn>                                                   \n
*
* \date
*    17. 6. 2011 
***************************************************************************
*/

extern void upsample_depth(imgpel**input_depth,imgpel**output_depth,int height,int width,int scale);
extern void do_upsample(imgpel** input_depth, imgpel** output, int height, int width);
extern void downsample_depth(imgpel**input_depth,imgpel**output_depth,int height,int width,int scale);
extern void do_downsample(imgpel**input_depth,imgpel**output_depth,int height,int width);

#endif

